## gkrellmoon 0.6

=== Makefile ===
GTK_INCLUDE = `pkg-config gtk+-2.0 --cflags`
GTK_LIB = `pkg-config gtk+-2.0 --libs`

INSTALLDIR = ${DESTDIR}/usr/lib/gkrellm2/plugins


FLAGS = -O2 -Wall -fPIC $(GTK_INCLUDE)
LIBS = $(GTK_LIB)
LFLAGS = -shared

CC = gcc $(CFLAGS) $(FLAGS)

OBJS = gkrellmoon.o MoonRise.o CalcEphem.o Moon.o

gkrellmoon.so: $(OBJS)
	$(CC) $(OBJS) -o gkrellmoon.so $(LFLAGS) $(LIBS)

clean:
	rm -f *.o core *.so* *.bak *~

gkrellmoon.o: gkrellmoon.c moon_60.xpm

# %.o: %.c

install: gkrellmoon.so
	install -c -s -m 644 gkrellmoon.so $(INSTALLDIR)

=== debian/changelog ===
gkrellmoon (0.6-8) unstable; urgency=medium

  * Build with -std=gnu17 to workaround FTBFS with GCC 15.
    (Closes: #1096719)

 -- Adrian Bunk <bunk@debian.org>  Wed, 01 Oct 2025 18:44:50 +0300

gkrellmoon (0.6-7.1) unstable; urgency=medium

  * Non-maintainer upload.
  * Convert to source format 3.0. (Closes: #1007433)

  [ Helmut Grohne ]
  * Fix FTCBFS: (Closes: #901126)
    + Let dh_auto_build pass cross tools to make.
    + Do not stuff flags into CC.
    + Make pkg-config substitutable.

 -- Bastian Germann <bage@debian.org>  Thu, 13 Jun 2024 20:47:57 +0000

gkrellmoon (0.6-7) unstable; urgency=medium

  * debian/rules: Add build-{arch,indep}. (Closes: #999159)

 -- Adrian Bunk <bunk@debian.org>  Tue, 28 Dec 2021 01:51:55 +0200

gkrellmoon (0.6-6) unstable; urgency=medium

  * New maintainer. (Closes: #981988)
  * Fix the empty gkrellmoon-dbgsym.
  * Apply a fix for a spelling error. (Closes: #864413)

 -- Adrian Bunk <bunk@debian.org>  Fri, 05 Feb 2021 16:31:39 +0200

gkrellmoon (0.6-5.1) unstable; urgency=medium

  * Non-maintainer upload
  * Bump debhelper compat level to 9. Closes: #817338, #817477

 -- Christoph Biedl <debian.axhn@manchmal.in-ulm.de>  Wed, 14 Dec 2016 21:04:35 +0100

gkrellmoon (0.6-5) unstable; urgency=low

  * Don't strip binaries if build with DEB_BUILD_OPTIONS=nostrip. Thanks to
    Julien and Lucas spotting this. (Closes: #437036)
  * Bumped Standards-Version

 -- Martin Zobel-Helas <zobel@debian.org>  Fri, 31 Aug 2007 18:47:51 +0200

gkrellmoon (0.6-4) unstable; urgency=low

  * modified dependencies, as gkrellm2 no longer exists
    (Closes: #349850)
  * Bumped standard version, no changes needed.
  * changed my maintainer email address.
  * changed FSF address in copyright file to avoid lintian warning.

 -- Martin Zobel-Helas <zobel@debian.org>  Sun, 29 Jan 2006 16:28:16 +0100

gkrellmoon (0.6-3) unstable; urgency=low

  * cleaned up debian/rules
  * removed INSTALL_PROGRAMM
  * corrected CFLAGS 
  * close ITP (closes:#230178)

 -- Martin Zobel-Helas <mhelas@helas.net>  Fri, 19 Nov 2004 22:55:21 +0100

gkrellmoon (0.6-2) unstable; urgency=low

  * Modified upstreams debian-directory to meet
    newer Standards-Version
  * made the package lintian and linda clean

 -- Martin Zobel-Helas <mhelas@helas.net>  Wed,  6 Oct 2004 15:53:09 +0200

gkrellmoon (0.6-1) unstable; urgency=low

  * Initial Release.

 -- Dale P. Smith <dsmith@altustech.com>  Tue, 10 Dec 2002 20:35:35 -0500

=== debian/control ===
Source: gkrellmoon
Section: x11
Priority: optional
Maintainer: Adrian Bunk <bunk@debian.org>
Build-Depends: debhelper (>= 9~), gkrellm, libgtk2.0-dev
Standards-Version: 3.7.2

Package: gkrellmoon
Architecture: any
Depends: gkrellm (>= 2.0.0), ${shlibs:Depends}, ${misc:Depends}
Description: Gkrellm Moon Clock Plugin
 Adds a moon clock to your gkrellm.

=== debian/rules ===
#!/usr/bin/make -f
# Sample debian/rules that uses debhelper.
# GNU copyright 1997 to 1999 by Joey Hess.

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1

# This is the debhelper compatibility version to use.
# export DH_COMPAT=4

export DEB_CFLAGS_MAINT_APPEND = -std=gnu17

build:
	dh_testdir
	dh_auto_build

clean:
	dh_testdir
	dh_testroot

	# Add here commands to clean up after the build process.
	-$(MAKE) clean

	dh_clean

install: build
	dh_testdir
	dh_testroot
	dh_clean -k
	dh_installdirs

	# Add here commands to install the package into debian/gkrellmoon.
	$(MAKE) install DESTDIR=$(CURDIR)/debian/gkrellmoon


# Build architecture-independent files here.
binary-indep: build install
# We have nothing to do by default.

# Build architecture-dependent files here.
binary-arch: build install
	dh_testdir
	dh_testroot
	dh_installdocs
	dh_installchangelogs ChangeLog
	dh_link
	dh_strip
	dh_compress
	dh_fixperms
	dh_installdeb
	dh_shlibdeps
	dh_gencontrol
	dh_md5sums
	dh_builddeb

build-arch: build
build-indep: build
binary: binary-indep binary-arch
.PHONY: build build-arch build-indep clean binary-indep binary-arch binary install configure
